Change Primary Investigator Affiliation
Change the Primary Affiliation of an Investigator mapped to OpenData Clinical in bulk. This API supports changes to existing OpenData Clinical investigators and requests to add new Investigators. Update or Create up to 100 records per request.
POST
/api/{version}/app/clinical/opendata/person__sys/primary_affiliationsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json (default) or text/csv |
Body Parameters
Section link for Body ParametersIn the body of the request, include a JSON input with the records to update. Maximum 100 records.
| Name | Description |
|---|---|
person_sys | The record ID of the person__sys record whose primary affiliation is being modified. |
hco_opendata_id | The hco_link_id of the OpenData Clinical site that will now be used for the primary affiliation. This will be copied onto the contact information of type person_linked_contact_information__v. |
Request
Section link for Requestcurl --location 'https://myvault.veevavault.com/api/v26.1/app/clinical/opendata/person__sys/primary_affiliations' \
--header 'Accept: application/json' \
--header 'Authorization: {SESSION_ID}' \
--data-raw '[
{ "person_sys":"V0B000000006002",
"hco_opendata_id":"65c467c1a76607ca06e84145"
},
{
"person_sys":"V0B000000006007 ",
"hco_opendata_id":"65c467c1a76607ca06e84148"
}
]'Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"person__sys": "V0B000000006002",
"primary_affiliation_hco_id": "65c467c1a76607ca06e84145",
"old_affiliation_hco_id": "65c467c1a76607ca06e84144"
},
{
"person__sys": "V0B000000006007",
"primary_affiliation_hco_id": "65c467c1a76607ca06e84149",
"old_affiliation_hco_id": "65c467c1a76607ca06e84148"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response contains information about the Person or Organization mapped to OpenData Clinical.
| Name | Description |
|---|---|
person__sys | The id of the person__sys record whose primary affiliation has been modified. |
primary_affiliation_hco_id | The hco_opendata_id of the affiliation that will now be used as primary for the investigator. |
old_affiliation_hco_id | The hco_opendata_id of the affiliation that was previously used as primary for the investigator. |